{
    "fields": [
        {
            "name": "nome",
            "type": "string"
        },
        {
            "name": "sigla",
            "type": "string"
        },
        {
            "name": "idSetorPai",
            "type": "integer#unsigned"
        }
    ],
    "foreign_keys": [
        {
            "column": "idSetorPai",
            "references": "id",
            "on": "setors",
            "onDelete": "cascade"
        }
    ],
    "relationships": [
        {
            "name": "setors",
            "type": "belongsTo",
            "class": "App\\Models\\Setor"
        }
    ],
    "validations": [
        {
            "field": "nome",
            "rules": "required"
        },
        {
            "field": "sigla",
            "rules": "required"
        }
    ]
}
